<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
</head>
<body>
    <h1>Poquimon</h1>
    <p>buscar tarjetas</p>
    <form action="">
        <input type="text" class="tarjeta">
        <input type="submit" value="buscar">
    </form>
    
    <div class="container">
        <div class="row">
            
        </div>
    </div>
    
    
    <script src="js/jquery-3.3.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    
    
    <script>
        
        $('form').submit(buscarTarjetas)
        
        function buscarTarjetas(event){
            event.preventDefault();
            var url='https://api.pokemontcg.io/v1/cards?name='
            var nombre =$('.tarjeta').val();
            $.ajax(url + nombre)
            
            .done(mostrarTarjetas)
            
            .catch(mostrarError)
        }
        
       
    
  
        
        function mostrarTarjetas(res){
            console.log('llamada HTTP correcta',res);
            $('.row').empty();
            
            res.cards.forEach(function(tarjeta){
                    var imagen="<a href='detalle.html'><img src='"+tarjeta.imageUrl +"'/></a>"
                    $('.row').append(imagen);
                })

        }
        
        
        function mostrarError(error){
            alert('a ocurrido un error en la llamada');
            console.log('Error n la llamada',error);
        }
        
        
 
    </script>
    
</body>
</html>